Bug 57504 - rawrite fails on long filenames
rawrite fails on long filenames
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-14 10:43 EST by Patrick C. F. Ernzer
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:58:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2001-12-14 10:43:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
rawrite (from RHL 7.2) fails to write 'update-disk-20001025.img' (of
RHBA-2000:093-01), shortening the name solves the problem.

Version-Release number of selected component (if applicable):
logged against anaconda as neither 'rawrite' nor 'dosutils' are available
selections

How reproducible:
Always

Steps to Reproduce:
1. boot Win 2k
2. copy rawrite and update-disk-20001025.img into a directory
3. open a shell
4. change to that directory
5. start 'rawrite'
6. enter 'update-disk-20001025.img' when prompted for filename


Actual Results:  rawrite complains 'update-disk-20001025.img no such file
or directory'

Expected Results:  rawrite prompts for floppy drive to write to

Additional info:

shortening the filename to 'upd.img' solves the problem.

filesystem on Win 2k is NTFS

Including the information on how long filenames that rawrite can handle, in
the rawrite docs available on the CD-ROM, would be an acceptable work-around.
Comment 1 Jeremy Katz 2002-04-09 18:49:00 EDT
Fixed for future releases so we properly pull in rawritewin which should handle
long filenames and we'll also make a conscious effort to mention it when
releasing updates disks.
Comment 2 Brent Fox 2003-05-25 10:58:53 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.